Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a Redshift database. You'll need to provide a host, port, identifier, token and scope:

  • host: Specify the hostname or IP address of your Redshift database.

  • port: Specify the port number on which your Redshift database is listening.

  • scope: Enter the name of your Redshift database.

  • identifier: Provide the username associated with your Redshift database.

  • token: Enter the corresponding password for the specified Redshift user.

Notes :

  1. Ensure that your Amazon Redshift cluster is publicly accessible . This can be configured in your AWS Redshift Cluster settings. Make sure the cluster is configured to allow public access and is not restricted to private networks only.

  2. To ensure secure access to your PostgreSQL database, it is recommended to whitelist Luzmo's range of IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

Install
dotnet add package LuzmoSDK --version 1.0.3
Example Response
200
400
500
{
  "properties": null,
  "date": "2024-08-08T13:19:32.411Z",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "provider": "redshift",
  "host": "<your host>",
  "port": "5439",
  "identifier": "<your username>",
  "scope": "<your database>",
  "name": "My Redshift connection",
  "id": "ee5e0ca7-89a7-442d-9ca3-1d1290e57213",
  "user_id": "abca9830-0dad-4b11-a6d4-23972c124020",
  "updated_at": "2024-08-08T13:19:32.483Z",
  "created_at": "2024-08-08T13:19:32.446Z",
  "expiry": null,
  "description": null,
  "version": null,
  "plugin_id": null,
  "shareable_id": "d9b4c3e7-9410-4688-9455-2a35c7d87c68"
}